edu.northwestern.at.morphadorner

## Class PendingElement

- java.lang.Object
- - edu.northwestern.at.morphadorner.PendingElement

-     public class PendingElement
      extends java.lang.Object

  Holds an XML element whose output is pending.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.xml.sax.helpers.AttributesImpl` | `atts` Element attributes.
    `protected java.lang.String` | `localName` Element local name.
    `protected java.lang.String` | `qName` Element qname.
    `protected java.lang.String` | `text` Element text.
    `protected java.lang.String` | `uri` Element URI.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PendingElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.helpers.AttributesImpl atts)` Create element.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendText(char[] ch, int start, int length)` Append characters to text.
    `org.xml.sax.helpers.AttributesImpl` | `getAttributes()` Get attributes.
    `java.lang.String` | `getLocalName()` Get local name.
    `java.lang.String` | `getQName()` Get Qname.
    `java.lang.String` | `getText()` Get text.
    `java.lang.String` | `getURI()` Get URI.
    `java.lang.String` | `toString()` Return text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uri

          protected java.lang.String uri

      Element URI.

    - #### localName

          protected java.lang.String localName

      Element local name.

    - #### qName

          protected java.lang.String qName

      Element qname.

    - #### atts

          protected org.xml.sax.helpers.AttributesImpl atts

      Element attributes.

    - #### text

          protected java.lang.String text

      Element text.

  - ### Constructor Detail

    - #### PendingElement

          public PendingElement(java.lang.String uri,
                        java.lang.String localName,
                        java.lang.String qName,
                        org.xml.sax.helpers.AttributesImpl atts)

      Create element.
      Parameters:
        `uri` - URI.
        `localName` - Local name.
        `qName` - Qname.
        `atts` - Attributes.

  - ### Method Detail

    - #### appendText

          public void appendText(char[] ch,
                        int start,
                        int length)

      Append characters to text.
      Parameters:
        `ch` - Array of characters.
        `start` - The starting position in the array.
        `length` - The number of characters.

    - #### getURI

          public java.lang.String getURI()

      Get URI.
      Returns:
        Element URI.

    - #### getQName

          public java.lang.String getQName()

      Get Qname.
      Returns:
        Element qname.

    - #### getLocalName

          public java.lang.String getLocalName()

      Get local name.
      Returns:
        Element local name.

    - #### getAttributes

          public org.xml.sax.helpers.AttributesImpl getAttributes()

      Get attributes.
      Returns:
        Element attributes.

    - #### getText

          public java.lang.String getText()

      Get text.
      Returns:
        Element text.

    - #### toString

          public java.lang.String toString()

      Return text.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Element text.